Package org.drinkless.tdlib

# Class TdApi.MessageForwardInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageForwardInfo

Enclosing class:
  `TdApi`

public static class TdApi.MessageForwardInfo extends TdApi.Object
Contains information about a forwarded message.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) when the message was originally sent.
  `TdApi.MessageOrigin`
  `origin`
  Origin of the forwarded message.
  `String`
  `publicServiceAnnouncementType`
  The type of public service announcement for the forwarded message.
  `TdApi.ForwardSource`
  `source`
  For messages forwarded to the chat with the current user (Saved Messages), to the Replies bot chat, or to the channel's discussion group, information about the source message from which the message was forwarded last time; may be null for other forwards or if unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageForwardInfo()`
  Contains information about a forwarded message.
  `MessageForwardInfo(TdApi.MessageOrigin origin, int date, TdApi.ForwardSource source, String publicServiceAnnouncementType)`
  Contains information about a forwarded message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### origin

    public TdApi.MessageOrigin origin
    Origin of the forwarded message.

  - ### date

    public int date
    Point in time (Unix timestamp) when the message was originally sent.

  - ### source

    @Nullable public TdApi.ForwardSource source
    For messages forwarded to the chat with the current user (Saved Messages), to the Replies bot chat, or to the channel's discussion group, information about the source message from which the message was forwarded last time; may be null for other forwards or if unknown.

  - ### publicServiceAnnouncementType

    public String publicServiceAnnouncementType
    The type of public service announcement for the forwarded message.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageForwardInfo

    public MessageForwardInfo()
    Contains information about a forwarded message.

  - ### MessageForwardInfo

    public MessageForwardInfo(TdApi.MessageOrigin origin, int date, TdApi.ForwardSource source, String publicServiceAnnouncementType)
    Contains information about a forwarded message.
    Parameters:
      `origin` - Origin of the forwarded message.
      `date` - Point in time (Unix timestamp) when the message was originally sent.
      `source` - For messages forwarded to the chat with the current user (Saved Messages), to the Replies bot chat, or to the channel's discussion group, information about the source message from which the message was forwarded last time; may be null for other forwards or if unknown.
      `publicServiceAnnouncementType` - The type of public service announcement for the forwarded message.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR